     Copyright (c) 2016-2017 SL

     This file is part of SL-extended.

     SL-extended is free software: you can redistribute it and/or modify
     it under the terms of the GNU Affero General Public License as published by
     the Free Software Foundation, either version 3 of the License, or
     (at your option) any later version.

     SL-extended is distributed in the hope that it will be useful,
     but WITHOUT ANY WARRANTY; without even the implied warranty of
     MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
     GNU Affero General Public License for more details.

     You should have received a copy of the GNU Affero General Public License
     along with SL-extended.  If not, see <http://www.gnu.org/licenses/>.


 README
 20171216






https://forums.factorio.com/viewtopic.php?f=97&t=39562


[b][u]SL-extended
[/u][/b]
[i]A Factorio autodownload / savefile mod
[/i]

[size=150][b][url=http://bit.ly/sl-extended4]download SL-extended 20171216[/url][/b][/size]


[b]example map 0.15:[/b] ([url=http://bit.ly/sl-extended-sample-map]download[/url])

note: filled blueprintbook not included ([url=https://forums.factorio.com/viewtopic.php?f=28&t=45704]more info[/url])
sl-blueprint-book ([url=http://bit.ly/factorio-sl-blueprintbook]download[/url])


[spoiler=PROJECT FILES]- control.lua
- COPYING
- README.md
- sl_autodeconstruct.lua
- sl_autohideminimap.lua
- sl_commands.lua
- sl_config.lua
- sl_itemcount.lua
- sl_traincolor.lua
- sl_upgradeplanner.lua
- sl_utils.lua[/spoiler]

[spoiler=HOW TO HOST YOUR OWN GAME][list=1]
[*]Get SL-extended files: [url=http://bit.ly/sl-extended4]download[/url]
[*]Save a game: eg. "[i]mysavedgame[/i]" (eg. generate a new map and save it)
[*]Open a file browser: eg. Files
[*]Go to saved game: eg. factorio/saves/[i]mysavedgame.zip[/i]
[*]Unpack/unzip it: eg. factorio/saves/[i]mysavedgame[/i]/  (remove the original .zip)
[*]Copy the SL-extended files and paste them inside the folder. Replace if necessary.
[*]Load the modified save: Play > Multiplayer > Load game > name of the modified folder > Load (If the original .zip is not removed/moved both files will be in the list. Pick the right one.)
    [list]
    [*][i][u][size=150]singleplayer[/size][/u][/i]: [u]uncheck[/u] the Visibility boxes for Public and LAN
    [*][i][u][size=150]multiplayer[/size][/u][/i]: make sure the Visibility boxes are [u]check[/u]ed for Public and LAN
        [list]
        [*][optional:] add "SL-extended" as Description and Tag
        [/list]
    [*]There is a standard welcome message (See sl_config.lua > Messages)
    [/list]
[*]Have fun[/list][/spoiler]

[list]
[*] Custom command:
    [list]
    [*] /slap <player> - Slap a player.
    [*] /slay <player> - Slay a player. (admin only)
    [*] /logistics <endgame,> - Sets logistics requests slots.
    [*] /inv <-100,100> - Decrease,increase character inventory bonus.
    [*] /req <-18,18> - Decrease,increase character logistic slots bonus.
    [*] /hp <-1000,1000> - Decrease,increase character health bonus.
    [*] /toolbar <-3,3> - Remove,add a toolbar bonus.
    [*] /run <-3,3> - Decrease,increase character running speed bonus.
    [*] /zoom <1,100> - Sets the player's zoom-level.
    [*] /acquire  - Get all your requests in your inventory. (admin only)
    [*] /robotspeedresearch - Increases the robot speed research level. (admin only) 
    [/list]
[*]Start items: 
    [list]
    [*] 25 iron plates
    [*] 25 stone
    [/list]
[*] Spawn items:
    [list]
    [*] construction robots (and supporting armor)
    [*] steel axe
    [*] deconstruction planner
    [/list]
[*] Character optimizations:
    [list]
    [*] character long reach
    [*] character mining speed: 50%
    [*] character crafting speed: 150%
    [/list]
[*] Scheduler: 
    [list]
    [*] Automatically sets train schedule:
        [list=1]
        [*] Open/click a train (locomotive, cargo-wagon, fluid-wagon)
        [*] Press "Scheduler"-button (top left)
        [*] Train Stop:
            [list=1]
            [*] Select station name
            [*] Select type <"loading","unloading"> (see [i][b]note[/b][/i])
            [*] Press "add"-button 
            [*] (repeat 3)
            [/list]
        [*] Press "finish"-button to save
        [/list]
    [*] [i][b]note[/b][/i]: Autodetected type by station name
        [list]
        [*] load
            [list]
            [*]iron*, copper*, coal*, stone*, uranium*, oil* (eg. 'Iron 05', 'Copper 02', 'Uranium 05', 'Oil 01', 'Oil 02', ..)
            [*]rocket*science* (eg. 'Rocket 01 Space Science','Rocket 02 Space Science', ..)
            [*]base*acid* (eg. 'Base Acid')
            [*]depot* (eg. 'Depot Iron', 'Depot Copper', 'Depot Coal', 'Depot Uranium', 'Depot Stone', 'Depot Space Science', 'Depot Oil', 'Depot Acid', ..)
            [/list]
        [*] unload
            [list]
            [*]*unload* (eg. 'Depot Unload', 'Depot Oil Unload', 'Depot Acid Unload', ..)
            [*]acid* (eg. 'Acid 01', 'Acid 09', ..)
            [*]base* (eg. 'Base Iron', 'Base Copper', 'Base Space Science', 'Base Coal', 'Base Uranium', 'Base Stone', 'Base Oil', ..)
            [*]science* (eg. 'Science 01 Iron', 'Science 01 Copper', 'Science 01 Space Science', 'Science 01 Oil', ..)
            [*]rocket* (eg. 'Rocket 01 Iron', 'Rocket 01 Copper', 'Rocket 01 Oil', ..)
            [/list]
        [/list]
    [/list]

[*] Chest: Clicking it while holding a blueprint(book) will place all the required items in the logistic requester chest. (note: removes old requests, Not more than 12 slots)
[*] Character: Clicking it while holding a blueprint(book) will place all the required items in the logistics requester slots. (note: removes old requests, Adds more slots if required)
[*] Upgrade Planner ++: instant, without robots
    [list]
    [*] While holding a deconstruction planner:
        [list]
        [*] Tree removal
        [*] Rock removal
        [*] Pickup dropped items
        [*] Upgrade planner
        [*] Turret removal: remove turrets and there ammo instantly.
        [/list]
    [*] While holding a tile of concrete or stone-brick (size 1x1):
        [list]
        [*] Dig: 1x1 tile > 7x7 water
        [/list]
    [/list]
[*] Auto Deconstruct: mark idle miners for deconstruction
[*] Itemcount: show the total amount of items you are holding in your cursor and not just the amount in that single stack. 
[*] Remove bloated map decorations to shrink the save file for faster multiplayer (eg. grass, fish, ..)
[*] Autofill: automatically adds fuel and ammo from inventory to the entities you build
[*] Show a message when a rocket is launched, seconds since last launch and launch counter: eg. "[568 S] A rocket silo launched satellite 19"
[*] Auto capitalize renamed entities. (the first letter of each word)[/list]








changelog:
- 20171216
    * works in factorio 0.16+
	* removed cause now in vanilla : [*] Keeping blueprint knowledge after manually placing an item (eg. blueprint of a assembling machine building Gears. When a player places the assembler it automatically sets the recipe.)
- 20171013
	* extract commands to separate file
- 20170923
	* bugfix: trains scheduler crashed when clicking the first item in the dropdownlist
- 20170606
	* add command: /acquire  - Get all your requests in your inventory. (admin only)
    * add command: /robotspeedresearch - Increases the robot speed research level. (admin only) 
- 20170603
    * Auto capitalize renamed entities. (the first letter of each word)
    * Station Scheduler tries to guess the station type('Unloading', 'Loading')
- 20170602
    * huge gui change/improvement
    * add /slay <player> - slay a player. (admin only)
	* add /zoom [1,100]
	* removed zoom in / out buttons from gui (see new command)
    * removed trash button
    * armor changes
- 20170531
	* add train color for uranium
	* add train color for space science pack
    * added more commands
- 20170525
	* bugfix: underground belt upgrade planner
- 20170520
    * fix: trainstations are sorted and deduplicated
    * added a blueprint request button to the sl-extended window
    * show a message when a rocket is launched: eg. "A rocket silo launched satellite 19"
    * a few small changes.
    * added command: /inv+  : increases the players inventory by 10 slots
    * added command: /logistics <player>
- 20170508
    * remove gravestone chest
- 20170507
	* fix autohideminimap
	* fix rocket counter
- 20170503
	* gui fix
- 20170501
    * new train scheduler
- 20170430
    * works in factorio 0.15+
    * remove bps, using the vanilla blueprint systems
    * enabled underground belt upgrade (duo)
    * autofill: added uranium rounds magazine
    * custom command: /slap <player>
- 20170409
    * update blueprint book
    * add a tool to dig for water: Check 'dig-off' to 'dig-on' in 'up-on' and Use a brush(concrete, stone-brick) size 1x1 to dig a 7x7 hole. 
- 20170402
    * added zoom-in and zoom-out buttons
    * update blueprint book
- 20170326
    * update blueprint book
- 20170324
    * update blueprint book
- 20170321
    * update blueprint book
- 20170320
    * update blueprint book
- 20170205
	* toggle inside upgradeplanner that allows to deactivate upgrading entities.
	* toggle inside upgradeplanner that allows to pickup turrets and there ammo.
- 20170118
    * update blueprint book
- 20170115
    * bugfix: upgrade planner checkboxes: tree, rock, dropped were not working.
    * train schedule: allows you to choose between ores or barrels -> select unloading station -> select loading station -> done
- 20170113
    * update info
- 20170110
	* upgrade planner: remove trees, remove rocks and pickup dropped items checked by default
	* fixed bug in /slap and look for player instead of stone-wall
    * update blueprint book
- 20170109
	* autohideminimap: When hovering over: logistic chest, roboport, train
	* [TRASH] button under [SL] button
	* Train color reflects cargo
	* At the start of the map reveal 500px in each direction.